Subject: bug#16526: 24.3.50; scroll-conservatively & c-mode regression

From: Stefan Monnier <[email-masked]>
Date: Sun, 29 Jun 2014 18:14:45 -0400

> scan-lists, a primitive, must be utterly robust.  syntax-ppss is too
> fragile to be used here without a lot of hardening.

FWIW, CC-mode is one of the last remaining major modes (at least the
only one I know of that's bundled with Emacs) that doesn't play nice
with syntax-ppss.  Incidentally, AFAIK it's also the only code which
uses font-lock-extend-after-change-region-function (and yes, I think the
two are (indirectly) related).

> If one were to harden syntax-ppss against all these things, one would
> probably end up calculating the cache from scratch every time, in effect.

Exactly.  IOW a cache can only be robust if the major mode plays by the
rules, which cc-mode doesn't do.

        Stefan